import { jsx } from "react/jsx-runtime";
import { LampPendantIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const LampPendant = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "LampPendant", ...props, children: /* @__PURE__ */ jsx(LampPendantIcon, { weight: variant }) });
  }
);
LampPendant.displayName = "LampPendant";
Object.assign(LampPendant, { isGdsIcon: true });
export {
  LampPendant
};
